org.apache.lucene.util

## Class SameThreadExecutorService

- java.lang.Object
- - java.util.concurrent.AbstractExecutorService
  - - org.apache.lucene.util.SameThreadExecutorService

- All Implemented Interfaces:
    Executor, ExecutorService

      public final class SameThreadExecutorService
      extends AbstractExecutorService

  An `ExecutorService` that executes tasks immediately in the calling thread during submit.
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SameThreadExecutorService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `awaitTermination(long timeout, TimeUnit unit)`
    `void` | `execute(Runnable command)`
    `boolean` | `isShutdown()`
    `boolean` | `isTerminated()`
    `void` | `shutdown()`
    `List<Runnable>` | `shutdownNow()`

    - ### Methods inherited from class java.util.concurrent.AbstractExecutorService

      `invokeAll, invokeAll, invokeAny, invokeAny, newTaskFor, newTaskFor, submit, submit, submit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SameThreadExecutorService

          public SameThreadExecutorService()

  - ### Method Detail

    - #### execute

          public void execute(Runnable command)

    - #### shutdownNow

          public List<Runnable> shutdownNow()

    - #### shutdown

          public void shutdown()

    - #### isTerminated

          public boolean isTerminated()

    - #### isShutdown

          public boolean isShutdown()

    - #### awaitTermination

          public boolean awaitTermination(long timeout,
                                          TimeUnit unit)
                                   throws InterruptedException

      Throws:
        `InterruptedException`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.